Page MenuHomePhabricator

Switch `tmpPropertyTermsMigrationStage` to MIGRATION_NEW
Closed, ResolvedPublic

Description

If all goes well by the due date here, we should be confident that property terms can be now switch completely (reading and writing) to new schema. Wait couple of days after switching to MIGRATION_WRITE_NEW before doing this

Related Objects

StatusSubtypeAssignedTask
ResolvedAddshore
ResolvedArielGlenn
ResolvedAddshore
ResolvedAddshore
Resolved alaa_wmde
Resolved alaa_wmde
Resolved alaa_wmde
ResolvedNone
DeclinedNone
Declined alaa_wmde
ResolvedLadsgroup
ResolvedAddshore
ResolvedLadsgroup
ResolvedJeroenDeDauw
DeclinedNone
ResolvedNone
ResolvedNone
ResolvedLadsgroup
ResolvedNone
InvalidNone
DeclinedNone
ResolvedLucas_Werkmeister_WMDE
InvalidNone
DeclinedNone
ResolvedLadsgroup
DeclinedNone
ResolvedJeroenDeDauw
DeclinedNone
Resolved alaa_wmde
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedAddshore
ResolvedNone
InvalidNone
Resolved alaa_wmde
ResolvedLadsgroup
InvalidNone
DuplicateLadsgroup
ResolvedLadsgroup
DuplicateLadsgroup
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
ResolvedLadsgroup
ResolvedAddshore
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedLadsgroup

Event Timeline

Thinking again about this, we probably should not switch this to WRITE_NEW until we can switch tmpItemermsMigrationStage to WRITE_NEW as well.. just in case we have to switch back to WRITE_OLD or WRITE_BOTH temporarily to fix any issues we face while running item terms migration.

Addshore moved this task from incoming to in progress on the Wikidata board.Jun 21 2019, 11:37 PM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJan 15 2020, 5:19 PM

Change 565064 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] labs: Set migration stage for properties to new

https://gerrit.wikimedia.org/r/565064

Change 565064 merged by jenkins-bot:
[operations/mediawiki-config@master] labs: Set migration stage for properties to new

https://gerrit.wikimedia.org/r/565064

Change 565073 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] Stop writing to wb_terms for properties in Test Wikidata

https://gerrit.wikimedia.org/r/565073

Mentioned in SAL (#wikimedia-releng) [2020-01-16T09:31:55Z] <Amir1> "delete from wikidatawiki.wb_terms where term_full_entity_id like 'P%'" (T219301 T225054)

Change 565073 merged by jenkins-bot:
[operations/mediawiki-config@master] Stop writing to wb_terms for properties in Test Wikidata

https://gerrit.wikimedia.org/r/565073

Mentioned in SAL (#wikimedia-operations) [2020-01-16T12:15:48Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:565073|Stop writing to wb_terms for properties in Test Wikidata (T225054)]] (duration: 01m 04s)

Mentioned in SAL (#wikimedia-operations) [2020-01-16T12:19:32Z] <Amir1> "delete from testwikidatawiki.wb_terms where term_full_entity_id like 'P%'" (T219301 T225054)

Mentioned in SAL (#wikimedia-operations) [2020-01-16T12:19:32Z] <Amir1> "delete from testwikidatawiki.wb_terms where term_full_entity_id like 'P%'" (T219301 T225054)

This dropped 253K rows from wb_terms in testwikidatawiki

Mentioned in SAL (#wikimedia-operations) [2020-01-16T12:30:54Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:565073|Stop writing to wb_terms for properties in Test Wikidata (T225054)]] (duration: 01m 05s)

Addshore changed the task status from Open to Stalled.Feb 3 2020, 7:37 PM

Change 577218 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] Stop writing to the old term store for properties

https://gerrit.wikimedia.org/r/577218

Change 577218 merged by jenkins-bot:
[operations/mediawiki-config@master] Stop writing to the old term store for properties

https://gerrit.wikimedia.org/r/577218

Mentioned in SAL (#wikimedia-operations) [2020-03-05T11:42:17Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: [[gerrit:577218|Stop writing to the old term store for properties (T219301 T225054)]] (duration: 01m 04s)

Mentioned in SAL (#wikimedia-operations) [2020-03-05T11:43:35Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: [[gerrit:577218|Stop writing to the old term store for properties (T219301 T225054)]], take II (duration: 01m 04s)

Mentioned in SAL (#wikimedia-operations) [2020-03-05T11:45:35Z] <Amir1> deleting property terms from wb_terms in wikidatawiki (T225054)

Mentioned in SAL (#wikimedia-operations) [2020-03-05T12:06:42Z] <Amir1> the property terms removal is finished. 312K rows deleted (T225054)

Ladsgroup changed the task status from Stalled to Open.Mar 5 2020, 12:07 PM
Addshore closed this task as Resolved.Mar 6 2020, 2:00 PM